/**
 * Album object
 */
function album(options) {
	var self = {
		// add attributes here
		currentImageDivId: null,
		albumContent: null,
		init: function() {
			// implement initialisation here
			this.currentImageDivId = options.currentImageDivId;
			this.albumContent = options.albumContent;
			this.showImageAtIndex(0);
		},
		slide: function(direction) {
			var imageWrapper = document.getElementById("imageWrapper");
			var initialPositon = imageWrapper.style.left;
			if (initialPositon.length > 2) {
				initialPositon = initialPositon.split("px")[0];
				initialPositon = parseInt(initialPositon);
			}
			if (direction == 'right') {
				imageWrapper.style.left = (initialPositon - 90) + "px";
			} else if(imageWrapper.style.left != "0px") {
				imageWrapper.style.left = (initialPositon + 90) + "px";
			}
			return true;
		},
		showImageAtIndex: function(index) {
			document.getElementById(self.currentImageDivId).src = self.albumContent[index].src_full;
		},
		addEventsListener: function() {
		},
		cancelEvent: function (e) {
			logger.debug('popup.cancelEvent');
		}
	}
	self.init();
	return self;
}
