// Application constant
// TODO: change before MEP
const LANG = 'IT';
const COUNTRY = 'IT';
const ENV = 'prod';
const DEFAULT_SCREEN = 'actu';
const AJAX_TIMEOUT = 30000;
const CONFIRM_TIME = 3000;
const WIDGET_REFRESH = 7000;
const BROWSING_HISTORY_LIMIT = 10;

// Webservices constant
switch (ENV) {
	case 'dev':
		var wsUrl = 'http://ws.m.ilius.net.preprod/ws_unit.php';
		var autorefreshInterval = 10000;
		break;
	default:
		var wsUrl = 'http://ws.m.ilius.net/ws_unit.php';
		var autorefreshInterval = 5*60*60*1000;
		break;
}

// Webservices constant
const WS_URL = wsUrl;
const APP_ID = 'NOK.' + COUNTRY;
const AUTOREFRESH_INTERVAL = autorefreshInterval;

// Webservices responses status code avaibility
var httpStatusCode = {
	badRequest: 400,
	unauthorized: 401,
	forbidden: 403,
	notFound: 404,
	notAcceptable: 406,
	internalServerError: 500,
	notImplemented: 501,
	badGateway: 502
}
