/**
 * Manipulate elements className
 */
Element.prototype.hasClass = function(name) {
	return this.className.indexOf(name) != -1;
};
Element.prototype.addClass = function(name) {
	if (!this.hasClass(name)) {
		this.className = [this.className, name].join(" ");
	}
};
Element.prototype.removeClass = function(name) {
	if (this.hasClass(name)) {
		this.className = this.className.replace(new RegExp(" ?" + name, "g"), "");
	}
};
Element.prototype.removeAllChilds = function() {
    while (this.childNodes.length > 0) {
        this.removeChild(this.firstChild);
    }
}